
QGIS Application - Feature request #4564

Make ftools tools work with input layers with different CRSs

2011-11-23 06:42 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14476

Description

Per #3977 comment 5, ftools requires both input layers to have the same coordinate reference system (CRS) for certain functions. I'd

guess this is at least true for the difference and crop functions, possibly more.

This requirement is not validated before the tool runs; the user only gets an error at the very end of the computation. Further, the error

does not explain that the input layers need the same CRS:

Input CRS error: One or more input layers missing coordinate reference information, results may not be as expected.

History

#1 - 2011-11-28 06:05 AM - Giovanni Manghi

- Assignee set to cfarmer -

- Operating System deleted (Windows 7 x64)

#2 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#4 - 2011-12-25 01:21 PM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Target version changed from Version 1.7.4 to Version 1.8.0

- Subject changed from ftools functions doesn't tell user that it requires layers to have same CRS to Make ftools tools work with input layers with 

different CRSs

See also #3977-9 and #4261-6

#5 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2014-10-11 07:06 AM - Giovanni Manghi

- Assignee deleted (cfarmer -)

#8 - 2015-12-05 05:58 AM - Médéric RIBREUX
- % Done changed from 0 to 100

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Hello, bug triage...

with QGIS 2.13 master, I can use the geoprocessing tools of fTools with two layers that have different CRS.

I am closing this feature request.

#9 - 2015-12-20 04:32 AM - Giovanni Manghi

- Status changed from Closed to Open

- Resolution deleted (fixed/implemented)

- % Done changed from 100 to 0

Médéric RIBREUX wrote:

Hello, bug triage...

with QGIS 2.13 master, I can use the geoprocessing tools of fTools with two layers that have different CRS.

I am closing this feature request.

Hi Médéric,

as far as I know and see (in master) ftools (as well as also other backends in Processing) cannot process inputs with different CRSs.

#10 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#11 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2018-02-02 09:00 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Implemented in master. Please reopen if necessary.
